Name:           glite-lb-state-machine
Version:        2.0.9
Release:        2%{?dist}
Summary:        gLite Logging and Bookkeeping state machine

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.state-machine/%{name}-%{version}.tar.gz

%if 0%{?rhel} <= 6 && ! 0%{?fedora}
BuildRequires:  classads-devel
%else
BuildRequires:  condor-classads-devel
%endif
BuildRequires:  expat-devel
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lb-common-devel
BuildRequires:  glite-lb-types
BuildRequires:  glite-lbjp-common-db-devel
BuildRequires:  glite-lbjp-common-gss-devel
BuildRequires:  glite-lbjp-common-jp-interface-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  libxslt
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
glite-lb-state-machine is the gLite L&B job state machine -- server core
processing L&B events to produce job state presented to the user. This package
contains the state machine library (linked by server) and dynamic plugin (used
by other tools and Job Provenance).


%package        devel
Summary:        Development files for gLite L&B state machine
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glite-lb-common-devel%{?_isa}

%description    devel
This package contains development libraries and header files for gLite L&B
state machine.


%package        plugins
Summary:        L&B state machine plugins

%description    plugins
This package contains L&B state machine plugins for L&B tools and Job
Provenance.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENSE
%{_libdir}/libglite_lb_statemachine.so.6
%{_libdir}/libglite_lb_statemachine.so.6.*

%files devel
%dir %{_datadir}/glite-lb/xsd/
%{_includedir}/glite/lb/*.h
%{_libdir}/libglite_lb_statemachine.so
%{_datadir}/glite-lb/xsd/*.xsd

%files plugins
%{_libdir}/glite_lb_plugin.so
%{_libdir}/glite_lb_plugin.so.*


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.9-1
- New release 2.0.9 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.8-1
- New release 2.0.8 (L&B 4.1.1)
- Rpath and XSD location patches in upstream

* Wed Dec 25 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- Initial package
